diff a/src/hotspot/cpu/x86/vm_version_x86.hpp b/src/hotspot/cpu/x86/vm_version_x86.hpp
--- a/src/hotspot/cpu/x86/vm_version_x86.hpp
+++ b/src/hotspot/cpu/x86/vm_version_x86.hpp
@@ -1,7 +1,7 @@
 /*
- * Copyright (c) 1997, 2023, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2024, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
  * under the terms of the GNU General Public License version 2 only, as
  * published by the Free Software Foundation.
@@ -764,10 +764,14 @@
 
   constexpr static bool supports_stack_watermark_barrier() {
     return true;
   }
 
+  constexpr static bool supports_recursive_lightweight_locking() {
+    return true;
+  }
+
   // For AVX CPUs only. f16c support is disabled if UseAVX == 0.
   static bool supports_float16() {
     return supports_f16c() || supports_avx512vl();
   }
 
